/* Code block styling */
pre.code_box {
  background: rgba(56, 4, 40, 0.9);
  font: 1.3rem Inconsolata, monospace;
  border-radius: 10px;
  position: relative;
  padding-top: 20px; /* Adds space for the button */
  padding-right: 40px; /* Space to avoid overlap with the button */
}

pre.code_box code {
  color: #FFFFFF;
  text-shadow: 0 0 2px #C8C8C8;
  padding-left: 1em;
  overflow-x: initial;
  display: block;
  overflow-wrap: break-word;
  white-space: pre-wrap;
}

/* Button styling */
.code_box button {
  background-color: #03030377;
  font-family: monospace;
  font-size: 12px;
  color: white;
  border: none;
  padding: 5px 10px;
  cursor: pointer;
  border-radius: 3px;
  transition: transform 0.3s ease;
  position: absolute;
  top: 10px; /* Position at the top */
  right: 10px; /* Position at the right edge */
}

.code_box button:hover {
  background-color: rgba(255, 255, 255, 0.9);
  color: rgba(56, 4, 40, 0.9);
  transform: scale(1.2);
}
